Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1686975 - Automatic strict inter-package dependencies
Summary: Automatic strict inter-package dependencies
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 19:19 UTC by Ben Cotton
Modified: 2019-08-30 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-30 12:41:54 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-03-08 19:19:34 UTC
This is a tracking bug for Change: Automatic strict inter-package dependencies
For more details, see: https://fedoraproject.org/wiki/Changes/Automatic_strict_inter-package_dependencies

Implement feature in RPM which will enforce strict dependencies between subpackages automatically (right now packagers have to do it themselves).

Comment 1 Ben Cotton 2019-08-13 17:04:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:11:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2019-08-14 17:56:02 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 4 Ben Cotton 2019-08-27 17:17:47 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.

Comment 5 Ben Cotton 2019-08-30 12:41:54 UTC
Change withdrawn by owner: https://pagure.io/fesco/issue/2218#comment-593939


Note You need to log in before you can comment on or make changes to this bug.